
QGIS Application - Bug report #10497

Spatialite layer does not create autoincrement values automatically

2014-06-08 03:05 AM - Darek Bobak

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider/SpatiaLite

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18907

Description

When editing a spatialite layer with pkuid field defined as primary key with autoincrementation, QGIS does not automatically fills that field.

When the field remains empty, QGIS shows error on saving the edits.

Associated revisions

Revision e605ad65 - 2014-06-09 05:17 PM - Jürgen Fischer

editor widgets: restore handling of null values in textedit widget (fixes #10497)

History

#1 - 2014-06-08 04:03 AM - Giovanni Manghi

- OS version deleted (8.1 x64)

- Target version set to Version 2.4

- Priority changed from Normal to Severe/Regression

- Category set to Data Provider/SpatiaLite

confirmed.

#2 - 2014-06-09 08:17 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"e605ad6501b08cf925a9f8492276601d2ae052e8".
